Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224550 - cron job collectstats.pl crashes
Summary: cron job collectstats.pl crashes
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bugzilla
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Berninger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-26 10:57 UTC by Patrick Monnerat
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-31 22:05:34 UTC


Attachments (Terms of Use)

Description Patrick Monnerat 2007-01-26 10:57:42 UTC
Description of problem:
cron mails nightly the following crash log:
/etc/cron.daily/collectstats.pl:

Can't locate Bugzilla/Search.pm in @INC (@INC 
contains: . /usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-
multi /usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-
multi /usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-
multi /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-
multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7 /usr/lib/per
l5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl /usr/
lib/perl5/vendor_perl/5.8.8/i386-linux-thread-
multi /usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-
multi /usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-
multi /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-
multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7 /usr/lib
/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_
perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi /usr/lib/perl5/5.8.8) 
at /etc/cron.daily/collectstats.pl line 39.
BEGIN failed--compilation aborted at /etc/cron.daily/collectstats.pl line 39.


Version-Release number of selected component (if applicable):
2.22-9.fc6

How reproducible:
Always

Steps to Reproduce:
1. Update installed bugzilla to version 2.22-9.fc6
2. Wait until a bit after 4am
3. Read root mail
  
Actual results:
The crash log above

Expected results:
collectstats.pl scripts run

Comment 1 John Berninger 2007-01-27 17:09:53 UTC
Updated, new package resolves this issue for me.  Please verify 2.22-10 resolves
this issue.

Comment 2 Patrick Monnerat 2007-01-30 17:27:36 UTC
Seems OK. No cron mail last night...
Thanks a lot


Note You need to log in before you can comment on or make changes to this bug.